window.addEventListener('load', function() {
    const iframe = document.getElementById('calendar');

    var updateIframeColor = function() {
        setTimeout(function() {
            var palette = JSON.parse(localStorage.getItem('/homepage/.__palette'));
            let colorSchemeValue;
            if (palette && palette.index === 1) {
                colorSchemeValue = 'slate';
            } else {
                colorSchemeValue = 'default';
            }
            
            // Directly update the iframe's attribute
            if (iframe.contentDocument && iframe.contentDocument.body) {
                iframe.contentDocument.body.setAttribute('data-md-color-scheme', colorSchemeValue);
            }
        }, 100); // delay of 100 milliseconds
    };

    updateIframeColor();

    var lightModeInput = document.getElementById('__palette_1');
    var darkModeInput = document.getElementById('__palette_2');

    // Check if inputs are not null and update on change
    if(lightModeInput && darkModeInput) {
        lightModeInput.addEventListener('input', updateIframeColor);
        darkModeInput.addEventListener('input', updateIframeColor);
    }
});
